/* FaxAPI.h
 *	Constants and definitions for calling Fax from another application
 *
 *	Copyright 2001 Mark/Space Softworks -- All Rights Reserved
 *
 *	05/17/01	bhall	Created
 */

// Fax creatorID - use when calling DmGetNextDatabaseByTypeCreator to find app
const UInt32	faxAppCreatorID = 'DbFa';

typedef enum {
	faxAppCmdSendFax = sysAppLaunchCmdCustomBase
} pwAppCustomActionCodes;


/* Caller should allocate memory, then set the owner to the system.
 * Set cookie and version fields to the specified constants
 *	- set callingCreatorID to the creator ID of the app making the call
 *	- set phoneNumber to the string to dial, or "" to just go to dial pad
 */
#define faxAppCmdSendFaxCookie	'COOK'
#define faxAppCmdSendFaxVersion	0x01

#define faxDialNameSize			(40)
#define faxDialNameLen			(faxDialNameSize - 1)
#define faxDialNumberSize		(40)
#define faxDialNumberLen		(faxDialNumberSize - 1)

typedef struct {
	// For testing parameter block validity and version
	UInt32	cookie;				// Caller must set to pwAppCmdDialCookie
	UInt32	version;			// Caller must set to pwAppCmdDialVersion
	UInt32	callingCreatorID;	// Caller sets to its own creatorID

	// Info usually taken from prefs
	UInt16	previewFirst;		// Boolean: true to preview before sending
	UInt16	returnToCaller;		// Boolean: return to caller after done sending?
	UInt16	unused1;			//
	
	// Info normally user entered on main form
	char	dialName[faxDialNameSize];
	char	dialNumber[faxDialNumberSize];
	char	text[1];			// IMPORTANT: Struct sized to actual size. Text to send.
} faxAppCmdSendFaxType;
